import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

import { BaseListView } from "../../base/base-list-view";
import { Lead } from "../../odoo/models/crm.lead";

@Component({
    selector: 'page-leads',
    templateUrl: 'leads.html'
})
export class LeadsPage extends BaseListView<Lead> {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams
    ) { 
        super(Lead);

        this.setTitle(navParams.data.title);
        this.setFilters(navParams.data.params.filters);
    }

    ionViewDidLoad() {
        console.log('ionViewDidLoad LeadsPage');
    }
}
