import { Component } from '@angular/core';
import { NavController, NavParams } from 'ionic-angular';

import { BaseListView } from "../../base/base-list-view";
import { SaleOrder } from "../../odoo/models/sale.order";

@Component({
    selector: 'page-orders',
    templateUrl: 'orders.html'
})
export class OrdersPage extends BaseListView<SaleOrder> {

    constructor(
        public navCtrl: NavController,
        public navParams: NavParams
    ) { 
        super(SaleOrder);

        this.setTitle(navParams.data.title);
        this.setFilters(navParams.data.params.filters);
    }

    /**
     * 
     */
    ionViewDidLoad() {
        console.log('ionViewDidLoad OrdersPage');
    }
}
